/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<applicationInfo.h>)
#  include <applicationInfo.h>
#endif
#if __has_include(<configModule.h>)
#  include <configModule.h>
#endif
#if __has_include(<controller.h>)
#  include <controller.h>
#endif
#if __has_include(<distro.h>)
#  include <distro.h>
#endif
#if __has_include(<utils.h>)
#  include <utils.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_kde_plasma_welcome()
{
    qmlRegisterModule("org.kde.plasma.welcome", 254, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<ApplicationInfo>("org.kde.plasma.welcome", 254);
    qmlRegisterTypesAndRevisions<ConfigModule>("org.kde.plasma.welcome", 254);
    qmlRegisterTypesAndRevisions<Controller>("org.kde.plasma.welcome", 254);
    qmlRegisterTypesAndRevisions<Distro>("org.kde.plasma.welcome", 254);
    qmlRegisterTypesAndRevisions<Utils>("org.kde.plasma.welcome", 254);
    QT_WARNING_POP
    qmlRegisterModule("org.kde.plasma.welcome", 254, 254);
}

static const QQmlModuleRegistration orgkdeplasmawelcomeRegistration("org.kde.plasma.welcome", qml_register_types_org_kde_plasma_welcome);
